from lib_python import common


# Default runtime config variables shared for Android platform
_main_activity = common.runtime_config["main_activity"] if "main_activity" in common.runtime_config else r"com.avg.zaap.crash.MainActivity"
_wait_activity = common.runtime_config["wait_activity"] if "wait_activity" in common.runtime_config else r"com.avg.zaap.crash.MainActivity"
_android_images = common.runtime_config["android_images"] if "android_images" in common.runtime_config else r"\\ddtfstorage-sn\resources\Android\AVD\python\unlocked"
_flavor = common.runtime_config["flavor"]
_build_type = common.runtime_config["build_type"]


def get_package_name():
    # Returns correct package_name based on runtime_config settings
    return "com.avg.zaap.crash"


def get_apk_file_name():
    # Returns correct name for apk file based on runtime_config settings
    return "simulator-{0}-{1}.apk".format(_flavor, _build_type)


def get_main_activity():
    # Returns main_activity from runtime_config
    return _main_activity


def get_wait_activity():
    # Returns wait_activity from runtime_config
    return _wait_activity


def get_android_images_path():
    # Returns android_images from runtime_config
    return _android_images
